Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81191 - pygtk is eating --name argument
Summary: pygtk is eating --name argument
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pygtk2
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-06 17:10 UTC by Daniel Walsh
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-20 04:22:37 UTC


Attachments (Terms of Use)

Description Daniel Walsh 2003-01-06 17:10:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021202

Description of problem:
If I write a python script like the following
cat t.py
#!/usr/bin/python
import sys
print sys.argv
import gtk
print sys.argv

Then run it with the following arguments
 ./t.py --name=xyz --who cares
['./t.py', '--name=xyz', '--who', 'cares']
['./t.py', '--who', 'cares']


The --name argument dissappears.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.See description
2.
3.
    

Expected Results:  --name should still be an argument.

Additional info:

Comment 1 Matt Wilson 2003-05-20 04:22:37 UTC
  --name=NAME                            Program name as used by the window
                                         manager



Note You need to log in before you can comment on or make changes to this bug.